Debian Bug report logs - #298388
RM: enbd -- orphaned, RC bug, upstream uncontactible

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 7 Mar 2005 08:18:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter T. Breuer <ptb@it.uc3m.es>, <wnpp@debian.org>:
Bug#298388; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Peter T. Breuer <ptb@it.uc3m.es>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: enbd -- Enhanced Network Block Device support kernel patch
Date: Mon, 07 Mar 2005 09:01:12 +0100
Package: wnpp
Severity: normal

The current maintainer of enbd, Peter T. Breuer <ptb@it.uc3m.es>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: enbd
Binary: enbd, kernel-patch-enbd
Version: 2.4.31-20040412-1
Priority: optional
Section: net
Maintainer: Peter T. Breuer <ptb@it.uc3m.es>
Build-Depends: debhelper (>> 3.0.0), dh-kpatches
Architecture: any
Standards-Version: 3.5.10
Format: 1.0
Directory: pool/main/e/enbd
Files: 44139c8fa2a475a6787226ec4775954e 539 enbd_2.4.31-20040412-1.dsc
 63e67cae346422e364a17ff61e941e30 1347885 enbd_2.4.31-20040412-1.tar.gz

Package: enbd
Priority: optional
Section: net
Installed-Size: 412
Maintainer: Peter T. Breuer <ptb@it.uc3m.es>
Architecture: i386
Version: 2.4.31-20040412-1
Depends: libc6 (>= 2.3.2.ds1-4)
Suggests: kernel-patch-enbd
Filename: pool/main/e/enbd/enbd_2.4.31-20040412-1_i386.deb
Size: 182674
MD5sum: cc155def1800a72b4d78b672412f4679
Description: Enhanced Network Block Device support
 This is a client/server package supporting the enbd kernel module.
 Enbd-client proxies kernel requests, passing them across the net to a
 remote enbd-server daemon. In conjunction with the kernel module to
 which the client talks, this makes the remote resource on the server
 appear as a local block device.  NBDs may be treated like any other
 block device.  In particular, they may have file systems made on them
 and then may be mounted into the local file system tree.  This package
 contains the userland support daemons for the Enhanced NBD kernel
 driver.
 .
 Regular updates will be found at
 ftp://oboe.it.uc3m.es/pub/Programs/, and the project web page is at
 http://www.it.uc3m.es/ptb/enbd/. Go to www.freshmeat.net and look up
 "ENBD" for more recent public release announcements.

Package: kernel-patch-enbd
Priority: optional
Section: net
Installed-Size: 455
Maintainer: Peter T. Breuer <ptb@it.uc3m.es>
Architecture: all
Source: enbd
Version: 2.4.31-20040412-1
Depends: bash (>= 2.0), patch, grep-dctrl
Suggests: kernel-source, kernel-package, enbd
Filename: pool/main/e/enbd/kernel-patch-enbd_2.4.31-20040412-1_all.deb
Size: 428768
MD5sum: 92f58d54ffa29045e33a495cd3227176
Description: Enhanced Network Block Device support kernel patch
 This is the kernel patch required by the enbd-client from the enbd
 package.
 .
 Regular updates to this patch will be found at
 ftp://oboe.it.uc3m.es/pub/Programs/, and the project web page is at
 http://www.it.uc3m.es/ptb/enbd/.  Go to www.freshmeat.net and look up
 "ENBD" for more recent public release announcements.

Justification: No upload since april 2004, email bounces



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#298388; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 298388@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 298388@bugs.debian.org
Cc: debian-qa@lists.debian.org
Subject: Let's remove enbd
Date: Wed, 23 Mar 2005 12:27:56 +1100
retitle 298388 RM: enbd -- orphaned, RC bug, upstream uncontactible
reassign 298388 ftp.debian.org
thanks

I think we should remove enbd because:

* it has a (questionable) RC bug
* the previous maintainer was the upstream author, and that upstream author
  is now uncontactible (mail bounces, mailbox over quota)
* there are no patches in the package as it currently stands for kernel
  versions in unstable or testing

regards

Andrew

-- 
linux.conf.au 2005   -  http://linux.conf.au/  -  Birthplace of Tux
April 18th to 23rd   -  http://linux.conf.au/  -       LINUX
Canberra, Australia  -  http://linux.conf.au/  -    Get bitten!



Changed Bug title. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Andrew Pollock <apollock@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 298388-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 298388-close@bugs.debian.org
Cc: enbd@packages.debian.org, enbd@packages.qa.debian.org
Subject: Bug#298388: fixed
Date: Thu, 24 Mar 2005 19:14:14 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      enbd | 2.4.31-20040412-1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
kernel-patch-enbd | 2.4.31-20040412-1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298388@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Message #20 received at 298388-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 298388-close@bugs.debian.org
Subject: Bug#298388: fixed
Date: Mon, 28 Mar 2005 07:57:31 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from experimental:

      enbd | 2.4.32-20040412-1 | source, alpha, arm, hppa, i386, ia64, m68k, powerpc, s390, sparc
kernel-patch-enbd | 2.4.32-20040412-1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298388@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#298388; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to browaeys.alban@wanadoo.fr:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #25 received at 298388@bugs.debian.org (full text, mbox):

From: Alban browaeys <browaeys.alban@wanadoo.fr>
To: 298388@bugs.debian.org
Subject: Re: enbd removal - i alerted the maintainer/upstream just in case
Date: Tue, 29 Mar 2005 00:18:25 +0200
the web page is outdated and the mail available on it and provided for
debian package maintaince is full.


Though this project have a mailing list where it seems all developpment
happens.
There are heavy talks about patches for 2.6.10 from the upstream author
so it may not be a dead project , only that all happens on the ML (as a
lot of OSS projects).

http://lists.community.tummy.com/pipermail/enbd/2005/thread.html

I sent a mail on list to tell the developper about debian problem with
his package, as he never received any of the previous messages.

Regards
Alban




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#298388; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #30 received at 298388@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: browaeys.alban@wanadoo.fr, 298388@bugs.debian.org
Subject: Re: Bug#298388: enbd removal - i alerted the maintainer/upstream just in case
Date: Tue, 29 Mar 2005 00:51:30 +0200
On Tue, Mar 29, 2005 at 12:18:25AM +0200, Alban browaeys wrote:
> There are heavy talks about patches for 2.6.10 from the upstream author
> so it may not be a dead project , only that all happens on the ML (as a
> lot of OSS projects).

Thank you for your concerns, when the enbd project is up to speed again
(and uptodate w.r.t. recent kernels) and finds an active maintainer
again, of course, it can be re-introduced in Debian at any time.

Bye,
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:24:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.